# Z̃NAF}No^ (encoding: Windows-31J)
require test(?f, "./exlap") ? "./exlap" : "exlap"

macro_str = <<'EOS'
Sub TestClear()
    Range("A1:C1").ClearContents
    Range("D1").Value = "ClearContents"
    Range("A2:C2").ClearFormats
    Range("D2").Value = "ClearFormats"
    Range("A3").ClearComments
    Range("D3").Value = "ClearComments"
    Range("A4:C4").Clear
    Range("D4").Value = "Clear"
End Sub

Sub WriteData()
    ActiveSheet.UsedRange.Clear
    With Range("A1:C1")
        .Value = Array(189, 365, "=SUM(A1:B1)")
        .Interior.ColorIndex = 15
    End With
    With Range("C1")
        .AddComment "v"
        .Comment.Visible = True
    End With
    With Range("A2:C2")
        .Value = Array(4, 5, 6)
        .NumberFormatLocal = "000"
        .Font.Size = 20
        .Font.ColorIndex = 5
    End With
    With Range("A3")
        .Value = "=TODAY()"
        .NumberFormatLocal = "md"
        .AddComment "̓t"
        .Comment.Visible = True
    End With
    With Range("A4:C4")
        .Value = Array(7, 8, 9)
        .Font.ColorIndex = 3
        .Interior.ColorIndex = 15
    End With
End Sub
EOS

macro_name1 = "TestClear"
macro_name2 = "WriteData"
File.delete("Book1.xls")  if test(?e, "Book1.xls")  # Book1.xls폜
Exlap.new("Book1.xls") do |wb|
  wb.macro_add(macro_str)
  wb.Application.MacroOptions("Macro"=>macro_name1, "ShortcutKey"=>"j")
  wb.Application.MacroOptions("Macro"=>macro_name2, "ShortcutKey"=>"m")
  wb.macro_run("WriteData")
  wb.save
end
