# Z̃NAFwin32ole (encoding: Windows-31J)
require "win32ole"

def fullpath(filename)
    fso = WIN32OLE.new("Scripting.FileSystemObject")
    return fso.GetAbsolutePathName(filename)
end

File.delete("Book1.xls")  if test(?e, "Book1.xls")  # Book1.xls폜
app = WIN32OLE.new("Excel.Application")
wb = app.Workbooks.Add()
ws = wb.Worksheets("Sheet1")

rng = ws.Range("A1:C1")
    rng.Value = 189, 365, "=SUM(A1:B1)"
    rng.Interior.ColorIndex = 15
cell = ws.Range("C1")
    cell.AddComment "v"
    cell.Comment.Visible = true
rng = ws.Range("A2:C2")
    rng.Value = 4, 5, 6
    rng.NumberFormatLocal = "000"
    rng.Font.Size = 20
    rng.Font.ColorIndex = 5
cell = ws.Range("A3")
    cell.Value = "=TODAY()"
    cell.NumberFormatLocal = "md"
    cell.AddComment "̓t"
    cell.Comment.Visible = true
rng = ws.Range("A4:C4")
    rng.Value = 7, 8, 9
    rng.Font.ColorIndex = 3
    rng.Interior.ColorIndex = 15

ws.Range("A1:C4").Copy("destination"=>ws.Range("A7"))
ws.Range("A7:C7").ClearContents
    ws.Range("D7").Value = "ClearContents"
ws.Range("A8:C8").ClearFormats
    ws.Range("D8").Value = "ClearFormats"
ws.Range("A9").ClearComments
    ws.Range("D9").Value = "ClearComments"
ws.Range("A10:C10").Clear
    ws.Range("D10").Value = "Clear"

wb.SaveAs(fullpath("Book1"), -4143)
app.Quit
