# [NubÑI[vƃN[YFwin32ole (encoding: Windows-31J)
require "win32ole"

def fullpath(filename)
    fso = WIN32OLE.new("Scripting.FileSystemObject")
    return fso.GetAbsolutePathName(filename)
end

Dir.glob("Book*.xls") {|fname|  File.delete(fname)}
app = WIN32OLE.new("Excel.Application")
wb = app.Workbooks.Add()
ws = wb.Worksheets("Sheet1")
ws.Range("A1:C1").Value = "Test for", "Workbook", "Open"
wb.SaveAs(fullpath("Book1"), -4143)
wb.Close

test_file = fullpath("Book1.xls")
wb = app.Workbooks.Open(test_file)
ws = wb.ActiveSheet
ws.Range("A2:B2").Value = "This is", wb.FullName
ws.Range("A3").Value = "=NOW()"
ws.Range("A3").NumberFormatLocal = "HH:MM:SS"
wb.Close(true)
app.Quit
